Back to home page

Project CMSSW displayed by LXR

 
 

    


File indexing completed on 2024-04-06 12:12:39

0001 #!/bin/bash
0002 
0003 test=testOutput
0004 
0005 function die { echo Failure $1: status $2 ; exit $2 ; }
0006 
0007 LOCAL_TEST_DIR=${SCRAM_TEST_PATH}
0008 
0009   echo "testOutput1"
0010   cmsRun ${LOCAL_TEST_DIR}/${test}1_cfg.py 2> testOutput1.log || die "cmsRun ${test}1_cfg.py" $?
0011 
0012   # Check that all the transitions that were supposed to occur
0013   # in a global output module actually did occur
0014   grep "global write event" testOutput1.log > /dev/null || die "grep failed to find 'global write event'" $?
0015   grep "global writeLuminosityBlock" testOutput1.log > /dev/null || die "grep failed to find 'global writeLuminosityBlock'" $?
0016   grep "global writeRun" testOutput1.log > /dev/null || die "grep failed to find 'global writeRun'" $?
0017   grep "global writeProcessBlock" testOutput1.log > /dev/null || die "grep failed to find 'global writeProcessBlock'" $?
0018   grep "global respondToOpenInputFile" testOutput1.log > /dev/null || die "grep failed to find 'global respondToOpenInputFile'" $?
0019   grep "global respondToCloseInputFile" testOutput1.log > /dev/null || die "grep failed to find 'global respondToCloseInputFile'" $?
0020   grep "global globalBeginRun" testOutput1.log > /dev/null || die "grep failed to find 'global globalBeginRun'" $?
0021   grep "global globalEndRun" testOutput1.log > /dev/null || die "grep failed to find 'global globalEndRun'" $?
0022   grep "global globalBeginLuminosityBlock" testOutput1.log > /dev/null || die "grep failed to find 'global globalBeginLuminosityBlock'" $?
0023   grep "global globalEndLuminosityBlock" testOutput1.log > /dev/null || die "grep failed to find 'global globalEndLuminosityBlock'" $?
0024 
0025   # Check the branch ID for the EDAliases was placed correctly in the BranchIDLists
0026   grep "global branchID 3673681161" testOutput1.log > /dev/null || die "grep failed to find 'global branchID 3673681161'" $?
0027 
0028   # Repeat checks for the limited module
0029   grep "limited write event" testOutput1.log > /dev/null || die "grep failed to find 'limited write event'" $?
0030   grep "limited writeLuminosityBlock" testOutput1.log > /dev/null || die "grep failed to find 'limited writeLuminosityBlock'" $?
0031   grep "limited writeRun" testOutput1.log > /dev/null || die "grep failed to find 'limited writeRun'" $?
0032   grep "limited writeProcessBlock" testOutput1.log > /dev/null || die "grep failed to find 'limited writeProcessBlock'" $?
0033   grep "limited respondToOpenInputFile" testOutput1.log > /dev/null || die "grep failed to find 'limited respondToOpenInputFile'" $?
0034   grep "limited respondToCloseInputFile" testOutput1.log > /dev/null || die "grep failed to find 'limited respondToCloseInputFile'" $?
0035   grep "limited globalBeginRun" testOutput1.log > /dev/null || die "grep failed to find 'limited globalBeginRun'" $?
0036   grep "limited globalEndRun" testOutput1.log > /dev/null || die "grep failed to find 'limited globalEndRun'" $?
0037   grep "limited globalBeginLuminosityBlock" testOutput1.log > /dev/null || die "grep failed to find 'limited globalBeginLuminosityBlock'" $?
0038   grep "limited globalEndLuminosityBlock" testOutput1.log > /dev/null || die "grep failed to find 'limited globalEndLuminosityBlock'" $?
0039   grep "limited branchID 3673681161" testOutput1.log > /dev/null || die "grep failed to find 'limited branchID 3673681161'" $?
0040 
0041   # Above we tested using EmptySource. Repeat reading a file using PoolSource
0042   echo "testOutput2"
0043   cmsRun ${LOCAL_TEST_DIR}/${test}2_cfg.py 2> testOutput2.log || die "cmsRun ${test}2_cfg.py" $?
0044 
0045   grep "global write event" testOutput2.log > /dev/null || die "grep failed to find 'global write event'" $?
0046   grep "global writeLuminosityBlock" testOutput2.log > /dev/null || die "grep failed to find 'global writeLuminosityBlock'" $?
0047   grep "global writeRun" testOutput2.log > /dev/null || die "grep failed to find 'global writeRun'" $?
0048   grep "global writeProcessBlock" testOutput2.log > /dev/null || die "grep failed to find 'global writeProcessBlock'" $?
0049   grep "global respondToOpenInputFile" testOutput2.log > /dev/null || die "grep failed to find 'global respondToOpenInputFile'" $?
0050   grep "global respondToCloseInputFile" testOutput2.log > /dev/null || die "grep failed to find 'global respondToCloseInputFile'" $?
0051   grep "global globalBeginRun" testOutput2.log > /dev/null || die "grep failed to find 'global globalBeginRun'" $?
0052   grep "global globalEndRun" testOutput2.log > /dev/null || die "grep failed to find 'global globalEndRun'" $?
0053   grep "global globalBeginLuminosityBlock" testOutput2.log > /dev/null || die "grep failed to find 'global globalBeginLuminosityBlock'" $?
0054   grep "global globalEndLuminosityBlock" testOutput2.log > /dev/null || die "grep failed to find 'global globalEndLuminosityBlock'" $?
0055   grep "global branchID 4057644746" testOutput2.log > /dev/null || die "grep failed to find 'global branchID 4057644746'" $?
0056 
0057   grep "limited write event" testOutput2.log > /dev/null || die "grep failed to find 'limited write event'" $?
0058   grep "limited writeLuminosityBlock" testOutput2.log > /dev/null || die "grep failed to find 'limited writeLuminosityBlock'" $?
0059   grep "limited writeRun" testOutput2.log > /dev/null || die "grep failed to find 'limited writeRun'" $?
0060   grep "limited writeProcessBlock" testOutput2.log > /dev/null || die "grep failed to find 'limited writeProcessBlock'" $?
0061   grep "limited respondToOpenInputFile" testOutput2.log > /dev/null || die "grep failed to find 'limited respondToOpenInputFile'" $?
0062   grep "limited respondToCloseInputFile" testOutput2.log > /dev/null || die "grep failed to find 'limited respondToCloseInputFile'" $?
0063   grep "limited globalBeginRun" testOutput2.log > /dev/null || die "grep failed to find 'limited globalBeginRun'" $?
0064   grep "limited globalEndRun" testOutput2.log > /dev/null || die "grep failed to find 'limited globalEndRun'" $?
0065   grep "limited globalBeginLuminosityBlock" testOutput2.log > /dev/null || die "grep failed to find 'limited globalBeginLuminosityBlock'" $?
0066   grep "limited globalEndLuminosityBlock" testOutput2.log > /dev/null || die "grep failed to find 'limited globalEndLuminosityBlock'" $?
0067   grep "limited branchID 4057644746" testOutput2.log > /dev/null || die "grep failed to find 'limited branchID 4057644746'" $?
0068 
0069 exit 0